Uploaded image for project: 'VIVO'
  1. VIVO
  2. VIVO-1310

pom.xml implies that VIVO develop branch can still run under Java 1.7

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: v2.0.0
    • Component/s: None
    • Labels:
      None
    • Attachments:
      0
    • Comments:
      0

      Description

      VIVO's main pom.xml configures the Java compiler this way:

      <plugin>
      <groupId>org.apache.maven.plugins</groupId>
      <artifactId>maven-compiler-plugin</artifactId>
      <configuration>
      <source>1.7</source>
      <target>1.7</target>
      <encoding>UTF-8</encoding>
      </configuration>
      </plugin>

      But Jena version 3.1.0 relies on the Java 1.8 runtime library. For example
      org.apache.jena.util.iterator.NiceIterator contains these statements:

      import java.util.function.Function;
      import java.util.function.Predicate;

      but the java.util.function package was not created until Java 1.8.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                grahamtriggs Graham Triggs
                Reporter:
                j2blake Jim Blake
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: